import dynamix_sdk.base as _base


class CloudbrokerRgAddStoragePolicyResultBool(_base.BaseAPIResultBool):
    pass


class CloudbrokerRgAddStoragePolicyProtocol(_base.BasePostAPIFunctionProtocol):
    def add_storage_policy(
        self,
        *,
        rg_id: int,
        storage_policy_id: int,
        storage_size_gb: int | None = None,
    ) -> CloudbrokerRgAddStoragePolicyResultBool:
        ...
